Paddle Billing
Ask AI

Metrics

Metrics return timeseries data about the information in your Paddle account.

Metrics are a way of querying aggregated data from your Paddle account.

Unlike reports, which export a historical snapshot of your entities as a CSV, metrics return timeseries data directly in the API response. They're typically used for powering dashboards and analytics.

Metrics return information like:

  • An array of timestamped datapoints for a period of time
  • The date range covered
  • The granularity of the data
  • The currency amounts are expressed in, where relevant

You pass a date range using the from and to query parameters, and Paddle returns one datapoint per interval in that range.

Response format

Datapoints include different value fields depending on the metric:

  • Amount-based

    Metrics related to revenue return an amount field, expressed as a string representing a non-decimal amount in the smallest currency unit.

  • Count-based

    Metrics related to subscriber or other actions counts return a count field.

  • Mixed

    Some metrics return both an amount and a count field, and may include other fields. For example, checkout conversion returns count, completed_count, and rate.

Attributes

currency_codestring

Supported three-letter ISO 4217 currency code for this metric. Returned in your primary balance currency, converted using the current exchange rate.

timeseriesarray[object]

Array of datapoints. Empty if to and from are the same.

timestampstring<date-time>

RFC 3339 datetime string for this datapoint.

amountstring

Amount for this datapoint in the lowest denomination for a currency.

countinteger

Number of transactions for this datapoint.

starts_atstring<date-time>

RFC 3339 datetime string for when this timeseries starts (inclusive).

ends_atstring<date-time>

RFC 3339 datetime string for when this timeseries ends (exclusive).

intervalstring

Granularity for this timeseries.

updated_atstring<date-time>

RFC 3339 datetime string of the last successful data refresh for this metric.

Get MRR (monthly recurring revenue)
Get MRR change (monthly recurring revenue change)
Get active subscribers
Get revenue
Get refunds
Get chargebacks
Get checkout conversion
AI Assistant

Ask me about Paddle

Discover, integrate, and debug faster. I'm here to help with all your questions and use cases.

Looking for help with a purchase? Visit paddle.net.

Powered by kapa.ai
|
Protected by hCaptcha